<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   exclude-result-prefixes="xpil"
   xmlns:xpil="http://www.together.at/2006/XPIL1.0"
   xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
   <xsl:param name="plg_name" select="200" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="GroupUsersHandlerPO.po" />
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
      <html>
         <head>
            <title>Group Users</title>
            <script type="text/javascript">
               function submitForm(formId, actionAttr) { var
               formTag = document.getElementById(formId);
               formTag.action=actionAttr; formTag.submit(); }
               function submitFormEvent(formId, actionAttr,event) {
               var formTag = document.getElementById(formId);
               formTag.action=actionAttr;
               formTag.event.value=event; formTag.submit(); }
               function submitContentFormWithAction(formId,actionAttr,event, txt) {
               if(confirm(txt))
	            {
   	             alreadySubmited = true;
  	             if(window.event != null)
    	           window.event.returnValue = false;
  	            var formTag = document.getElementById(formId);
	            formTag.action=actionAttr;
  	            formTag.event.value=event;
  	            formTag.submit();
  	           }
             }
            </script>
         </head>
         <body class="body_home">
            <form id="mainForm" name="mainForm" method="post"
               action="Blank.xhtml">
               <input type="hidden" name="event" />



                <xsl:variable name="backUrl">javascript:submitFormEvent('mainForm','GroupUsersHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','back')</xsl:variable>

               <table class="title_style" width="85%" border="0"
                  align="center" cellpadding="0" cellspacing="0">
                  <tr>
                    <td colspan="5">
                    <table width="100%">
                     <tr>
                      <td width="2%" />
                  
                       <td class="logo_image_one"/>
                 
                      <td  class="logo_image_two" />
                     
                      <td class="logo_image_three"/>
                    <td width="2%" />
                  </tr>
                  </table>
                  </td>
                 
                  </tr>
                   <tr>
                     <td width="2%" />
							<td colspan="3">
								<table class="title_style" width="100%"
									border="0" align="center" cellpadding="0" cellspacing="0">
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15">
										</td>
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
										<td align="right"
											class="title_style" colspan="2" height="15" />
									</tr>
									<tr>
                                   <xsl:choose>
                                    <xsl:when test="xpil:InstanceExtendedAttribute[@Name='username']">
                                     <td align="right" class="title_style" colspan="2">

                                      <table>
                                      <tr>
                                       <xsl:if test="$sharkEdition!='community' and $plg_name!='LDAP'">
                                      <td>
                                      <b>Users:</b>
                                      </td>
                                      <td>
                                      <select name="ch_user">
                                       <xsl:for-each select="xpil:InstanceExtendedAttribute">
                                         <xsl:if test="@Name='username'">
                                          <xsl:variable name="opt">
                                             <xsl:value-of select="@Value"/>
                                          </xsl:variable>
                                          <option value="{$opt}">
                                             <xsl:value-of select="@Value"/>
                                          </option>
                                       </xsl:if>
                                       </xsl:for-each>
                                      </select>
                                      </td>
                                      <td>
                                       <xsl:variable name="tUrl">javascript:submitFormEvent('mainForm','GroupUsersHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;name=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" />','add')</xsl:variable>
                                      <a href="{$tUrl}">
                                        <img src="media/add_n.gif" border="0" alt="Add User"/>
                                     </a>
                                     </td>
                                      </xsl:if>
                                       <xsl:if test="$sharkEdition='community' or $plg_name='LDAP'">
                                        <td class="title_style" height="28" colspan="2">
                                            <img src="media/blank.gif" alt="" width="1"/>
                                        </td>
                                       </xsl:if>

                                     </tr>
                                     </table>

                                   </td>
                                   </xsl:when>
                              <xsl:otherwise>
                                 <td class="title_style" height="28" colspan="2">
                                    <img src="media/blank.gif" alt="" width="1"/>
                                 </td>
                              </xsl:otherwise>
                                  </xsl:choose>
                                </tr>
							</table>
                     </td>
                     <td width="2%" />
                  </tr>
                  <tr>
                     <td class="body_upper" colspan="5"
                        height="4" />
                  </tr>
                  <tr>
                      <td align="left" class="body_home" width="2%"/>
				  <td align="left" class="body_home" height="15">
					Group Users List ( <xsl:value-of select="$total_number"/> entries ) for group:
				    <xsl:value-of
														select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" />
				  </td>
				  <td align="center" class="body_home" height="15" width="5%">

                  </td>
				  <td align="right" class="body_home" height="15">
				    <b>User:</b> <xsl:value-of select="$username" />
				  </td>
                  <td align="left" class="body_home" width="2%"/>
                  </tr>
                  <tr>
                     <td class="body_lower" colspan="5"
                        height="1" />
                  </tr>
                  <tr>
                    <td align="left" class="body_home" width="2%"/>
				    <td align="left" class="body_home" height="15"/>
				    <td align="center" class="body_home" height="15" width="5%"/>
				    <td align="right" class="body_home" height="15"/>
                    <td align="left" class="body_home" width="2%"/>
                </tr>
               <tr>
                  <td class="body_lower" colspan="5" height="1"/>
               </tr>
                  <tr>
                     <td colspan="5">
                        <table width="100%" hight="100%"
                           border="1" cellpadding="0" cellspacing="0" class="body_main">
                           <tr>

                              <td class="main_header_text">
                                 <div align="center">
                                   Username
                                 </div>
                              </td>

                              <td class="main_header_text">
                                 <div align="center">
                                     First name
                                 </div>
                              </td>
                              <td class="main_header_text"
                                 width="150">
                                 <div align="center">
                                    Last name
                                 </div>
                              </td>
                              <td class="main_header_text"
                                 width="150">
                                 <div align="center">
                                    Email adress
                                 </div>
                              </td>
                              <td class="main_header_text"
                                 width="150">
                                 <div align="center">
                                    Actions
                                 </div>
                              </td>
                           </tr>
                           <xsl:for-each select="//.">
                              <xsl:choose>
                                 <xsl:when
                                    test="name()='xpil:InstanceExtendedAttributes'">


                                    <tr
                                       class="content_label_text" bgcolor="white">
                                       <td
                                          align="center">
                                          <xsl:value-of
                                             select="xpil:InstanceExtendedAttribute[1]/@Value" />
                                       </td>
                                       <td
                                          align="center">
                                         <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[2]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
														<xsl:value-of
                                                          select="xpil:InstanceExtendedAttribute[2]/@Value" />
														</xsl:otherwise>

													</xsl:choose>
                                       </td>
                                        <td
                                          align="center">
                                         <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[3]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
															<xsl:value-of
                                                                select="xpil:InstanceExtendedAttribute[3]/@Value" />
															</xsl:otherwise>
													</xsl:choose>
                                       </td>
                                        <td
                                          align="center">
                                         <xsl:choose>
														<xsl:when
															test="xpil:InstanceExtendedAttribute[4]/@Value=''">

																-
														 </xsl:when>
														<xsl:otherwise>
															<xsl:value-of
                                                               select="xpil:InstanceExtendedAttribute[4]/@Value" />
														</xsl:otherwise>
													</xsl:choose>
                                       </td>
                                       <xsl:variable
													name="deleteUrl">
													javascript:submitContentFormWithAction('mainForm','GroupUsersHandlerPO.po?from=
													<xsl:value-of
														select="$from_element" />
													&#38;sortCriterion=
													<xsl:value-of
														select="$sortCriterion" />
													&#38;sortAsc=
													<xsl:value-of
														select="$sortAsc" />
													&#38;username=
													<xsl:value-of
														select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />
													&#38;name=
													<xsl:value-of
														select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" />
													','delete','Do you really want to delete user?')
												</xsl:variable>


                                       <td colspan="3"
                                          class="title_style" height="30" align="center">
                                          <xsl:if test="$plg_name!='LDAP'">
                                          <a href="{$deleteUrl}" class="link_text">
											<img src="media/delete.gif" border="0" alt="Delete user from group" />
										  </a>
										  </xsl:if>
										  <xsl:if test="$plg_name='LDAP'">
										  -
										  </xsl:if>


                                       </td>
                                    </tr>
                                 </xsl:when>
                              </xsl:choose>
                           </xsl:for-each>
                        </table>
                     </td>
                  </tr>
                  <tr>

                     <td width="2%"/>
                     <td colspan="3" class="link_text"
                        height="30" align="right">
                        <a href="{$backUrl}">
                           <img src="media/back_n.gif"
                              border="0" alt="Back" />
                        </a>

                     </td>
                     <td width="2%" />
                  </tr>
                  <tr>
                     <td align="left" class="body_bottom"
                        width="2%" />
                     <td align="left" colspan="2" class="body_bottom"
                        height="15">
                     &#169; 2006 Together Teaml&#246;sungen
                  </td>
                  <td class="body_bottom" height="15" align="right">
                     <xsl:if test="$auth_type!='BASIC' and $auth_type!='NTLM'"> 
                        <xsl:variable name="loUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po','logout')</xsl:variable>
                        <a href="{$loUrl}">Log-out</a>
                     </xsl:if>
                  </td>
                     <td align="left" class="body_bottom"
                        width="2%" />
               </tr>
               </table>
            </form>
         </body>
      </html>
   </xsl:template>
</xsl:stylesheet>
